MailcrateDocs
Contacts

List a contact's deliveries

GET
/public/contact/{id}/deliveries

Requires the contact:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Query Parameters

query?string
contactId?string|null
status?string
transactionalMessageId?string
campaignId?string
campaignRecipientKey?string
limit?integer
Range1 <= value <= 500
Default50
offset?integer
Range0 <= value
Default0
page?integer
Range1 <= value
sortBy?string
sortOrder?string
Value in"ASC""DESC"

Response Body

A page of results.

application/json
  1. response
data*array<>
total*integer

Matches across all pages.

limit*integer
offset*integer

The offset actually applied, also when you paginated with page.

Example Request
curl -X GET 'https://api.mailcrate.io/public/contact/string/deliveries' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "data": [    {      "id": "string",      "status": "string",      "subject": "string",      "toAddresses": "string",      "contactId": "string",      "campaignRecipientKey": "string",      "externalReferenceId": "string",      "lane": "string",      "suppressionReason": "string",      "isTest": true,      "renderedHTML": "string",      "fromName": "string",      "fromAddress": "string",      "cc": "string",      "bcc": "string",      "replyTo": "string",      "preHeaderText": "string",      "messageIdHeader": "string",      "sendAttemptedAt": "2019-08-24T14:15:22Z",      "data": {},      "templateData": {},      "emailTemplateId": "string",      "emailTemplateName": "string",      "emailTemplateDeleted": true,      "campaignId": "string",      "campaignName": "string",      "campaignDeleted": true,      "transactionalMessageId": "string",      "transactionalMessageName": "string",      "transactionalMessageDeleted": true,      "attachments": [        {          "id": "string",          "filename": "string",          "contentType": "string",          "size": 0        }      ],      "created": "2019-08-24T14:15:22Z",      "updated": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "limit": 0,  "offset": 0}